QGIS Application - Bug report #14666
delimitedtext provider "fills" missing coordinates
2016-04-12 06:47 AM - Kai Borgolte

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22630
Description

When reading a text file with coordinates, QGIS doesn't complain about missing values in X/Y fields. Instead the values from the previous

line are used.

Doing the same in 2.8.2 Wien | get the message "Errors in file C:/Daten/Qgis/xytab.txt 2 records discarded due to missing geometry

definitions"

Associated revisions

Revision 02e0e3f9 - 2016-04-13 07:42 AM - Nyall Dawson

Fix other feature's geometries are shown instead of null geometry
in delimited text provider (fix #14666)

Add tests, also fix virtual layer, mssqgl and db2 providers which

suffered the same bug

Revision 6880b53e - 2016-04-16 12:17 AM - Nyall Dawson

Fix other feature's geometries are shown instead of null geometry
in delimited text provider (fix #14666)

Add tests, also fix virtual layer, mssgl and db2 providers which

suffered the same bug

(cherry-picked from 02e0e3f95925356c4da8ed5effa4634e92fd4418)

History

#1 - 2016-04-12 10:43 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"02e0e3f95925356c4da8ed5effa4634e92fd44{8".

Files

xytab.txt 83 Bytes 2016-04-12 Kai Borgolte

xytab.qgs 19.1 KB 2016-04-12 Kai Borgolte
2025-04-27 1/1




